Public Class frmKundenBesonderheiten_Add
    Dim KD_BESONSERHEITEN As VERAG_PROG_ALLGEMEIN.cKundenBesonderheiten
    Dim KdNr As Integer = -1
    Sub New(KdNr)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        KD_BESONSERHEITEN = New VERAG_PROG_ALLGEMEIN.cKundenBesonderheiten
        Me.KdNr = KdNr
    End Sub
    Sub New(kdb_id, KdNr)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        KD_BESONSERHEITEN = New VERAG_PROG_ALLGEMEIN.cKundenBesonderheiten(kdb_id)
        Me.KdNr = KdNr
    End Sub

    Private Sub btn_Click(sender As Object, e As EventArgs) Handles btn.Click
        lblErr.Visible = False
        If rtbText.Text = "" Then
            lblErr.Text = "ERR: Text fehlt!"
            lblErr.Visible = True
            Exit Sub
        End If
        If cboKategorie._value = "" Then
            lblErr.Text = "ERR: Kategorie auswählen!"
            lblErr.Visible = True
            Exit Sub
        End If

        If KD_BESONSERHEITEN.hasEntry Then
            KD_BESONSERHEITEN.kdb_history = 1
            KD_BESONSERHEITEN.SAVE()
            KD_BESONSERHEITEN.kdb_id = -1 ' zurücksetzen
        Else
            KD_BESONSERHEITEN.kdb_EingetragenAm = Now
        End If

        KD_BESONSERHEITEN.kdb_history = 0
        KD_BESONSERHEITEN.kdb_mitName = VERAG_PROG_ALLGEMEIN.cAllgemein.USRKURZNAME
        KD_BESONSERHEITEN.kdb_mitId = VERAG_PROG_ALLGEMEIN.cAllgemein.USRID
        KD_BESONSERHEITEN.kdb_KundenNr = KdNr

        KD_BESONSERHEITEN.kdb_AenderungAm = Now
        KD_BESONSERHEITEN.kdb_kategorie = cboKategorie._value
        KD_BESONSERHEITEN.kdb_text = rtbText.Text
        KD_BESONSERHEITEN.kdb_hervorheben = cbxHervorheben.Checked
        'KD_BESONSERHEITEN.kdb_visible =  
        If KD_BESONSERHEITEN.SAVE Then
            Me.Close()
        End If
    End Sub

    Private Sub frmKundenBesonderheiten_Add_Load(sender As Object, e As EventArgs) Handles Me.Load
        'MsgBox(VERAG_PROG_ALLGEMEIN.cAllgemein.BENUTZER_BERECHTIGUNGS_GRUPPEN_WHEREIN_SDL)
        Dim sqlWhereBerechtigung = " (isnull([kdbkat_Berechtigungsgruppe],'')='' OR [kdbkat_Berechtigungsgruppe] IN " & VERAG_PROG_ALLGEMEIN.cAllgemein.BENUTZER_BERECHTIGUNGS_GRUPPEN_WHEREIN_SDL & " ) "

        cboKategorie.fillWithSQL("Select [kdbkat_kategorie],[kdbkat_bezeichnung] FROM  [tblKundenBesonderheiten_Kategorien] WHERE 1=1 AND " & sqlWhereBerechtigung & " AND (isnull(kdbkat_Firma,'')='' OR  kdbkat_Firma='" & VERAG_PROG_ALLGEMEIN.cAllgemein.FIRMA & "' ) ", False, "FMZOLL", True)

        If KD_BESONSERHEITEN.hasEntry Then
            rtbText.Text = KD_BESONSERHEITEN.kdb_text
            cbxHervorheben.Checked = KD_BESONSERHEITEN.kdb_hervorheben
            cboKategorie.changeItem(KD_BESONSERHEITEN.kdb_kategorie)

            cboKategorie.changeItem(KD_BESONSERHEITEN.kdb_kategorie)
        End If
    End Sub
End Class